<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Questions Page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script type="text/javascript" src="/js/sidebar.js"></script>
    <script type="text/javascript" src="/js/header.js"></script>
    <script type="text/javascript" src="/js/footer.js"></script>
</head>
<body>

<!-- Header -->
<header id="header-placeholder" class="mb-4"></header>

<div class="container mt-4">
    <div class="row">
        <!-- Sidebar -->
        <div class="col-md-3">
            <div id="sidebar-placeholder"></div>
        </div>

        <!-- Основная таблица -->
        <div class="col-md-9">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h1 class="h4">Новые вопросы</h1>
                <a href="/ask" class="btn btn-primary">Задать вопрос</a>
            </div>

            <!-- Фильтры -->
            <div class="d-flex justify-content-between align-items-center mb-4">
                <div>{{ количество_вопросов }} вопросов</div>
                <div>
                    <button class="btn btn-outline-secondary btn-sm">Новые</button>
                    <button class="btn btn-outline-secondary btn-sm">Активные</button>
                    <button class="btn btn-outline-secondary btn-sm">С наградой</button>
                    <button class="btn btn-outline-secondary btn-sm">Без ответа</button>
                </div>
            </div>

            <!-- Список вопросов -->
            <div class="list-group">
                <a href="/question/1" class="list-group-item list-group-item-action">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h5 class="mb-1">Вопрос 1</h5>
                            <p class="mb-1 text-truncate">Описание вопроса 1...</p>
                            <small class="text-muted">0 голосов • 0 ответов • 3 просмотра</small>
                        </div>
                        <div class="text-end">
                            <small class="text-muted">спросил {{ время_назад_1 }}</small>
                        </div>
                    </div>
                </a>

                <a href="/question/2" class="list-group-item list-group-item-action">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h5 class="mb-1">Вопрос 2</h5>
                            <p class="mb-1 text-truncate">Описание вопроса 2...</p>
                            <small class="text-muted">0 голосов • 0 ответов • 5 просмотров</small>
                        </div>
                        <div class="text-end">
                            <small class="text-muted">спросил {{ время_назад_2 }}</small>
                        </div>
                    </div>
                </a>

                <a href="/question/3" class="list-group-item list-group-item-action">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h5 class="mb-1">Вопрос 3</h5>
                            <p class="mb-1 text-truncate">Описание вопроса 3...</p>
                            <small class="text-muted">0 голосов • 0 ответов • 4 просмотра</small>
                        </div>
                        <div class="text-end">
                            <small class="text-muted">спросил {{ время_назад_3 }}</small>
                        </div>
                    </div>
                </a>
            </div>
        </div>
    </div>
</div>

<!-- Footer -->
<footer id="footer-placeholder" class="mt-4"></footer>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>